OpenZWave Library: OpenZWave::ManufacturerSpecificDB Class Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
OpenZWave::ManufacturerSpecificDB Class Reference

The _ManufacturerSpecificDB class handles the Config File Database that we use to configure devices. More...

`#include <ManufacturerSpecificDB.h>`

## Public Member Functions
bool | LoadProductXML ()
void | UnloadProductXML ()
uint32 | getRevision ()
uint32 | getLatestRevision ()
void | setLatestRevision (uint32 rev)
void | checkConfigFiles (Driver *)
void | configDownloaded (Driver *, string file, uint8 node, bool success=true)
void | mfsConfigDownloaded (Driver *, string file, bool success=true)
bool | isReady ()
bool | updateConfigFile (Driver *, Node *)
bool | updateMFSConfigFile (Driver *)
void | checkInitialized ()
ProductDescriptor * | getProduct (uint16 _manufacturerId, uint16 _productType, uint16 _productId)

## Static Public Member Functions
static ManufacturerSpecificDB * | Create ()
static ManufacturerSpecificDB * | Get ()
static void | Destroy ()

## Detailed Description

The _ManufacturerSpecificDB class handles the Config File Database that we use to configure devices.

## Member Function Documentation

## ◆ checkConfigFiles()

void ManufacturerSpecificDB::checkConfigFiles | ( | Driver * | driver | ) |

## ◆ checkInitialized()

void ManufacturerSpecificDB::checkInitialized | ( |  | ) |

## ◆ configDownloaded()

void ManufacturerSpecificDB::configDownloaded | ( | Driver * | driver,
|  | string | file,
|  | uint8 | node,
|  | bool | success = `true`
| ) |  |

## ◆ Create()

ManufacturerSpecificDB * ManufacturerSpecificDB::Create | ( |  | ) |
| static

## ◆ Destroy()

void ManufacturerSpecificDB::Destroy | ( |  | ) |
| static

## ◆ Get()

static ManufacturerSpecificDB * OpenZWave::ManufacturerSpecificDB::Get | ( |  | ) |
| inlinestatic

## ◆ getLatestRevision()

uint32 OpenZWave::ManufacturerSpecificDB::getLatestRevision | ( |  | ) |
| inline

## ◆ getProduct()

ProductDescriptor * ManufacturerSpecificDB::getProduct | ( | uint16 | _manufacturerId,
|  | uint16 | _productType,
|  | uint16 | _productId
| ) |  |

## ◆ getRevision()

uint32 OpenZWave::ManufacturerSpecificDB::getRevision | ( |  | ) |
| inline

## ◆ isReady()

bool ManufacturerSpecificDB::isReady | ( |  | ) |

## ◆ LoadProductXML()

bool ManufacturerSpecificDB::LoadProductXML | ( |  | ) |

## ◆ mfsConfigDownloaded()

void ManufacturerSpecificDB::mfsConfigDownloaded | ( | Driver * | driver,
|  | string | file,
|  | bool | success = `true`
| ) |  |

## ◆ setLatestRevision()

void OpenZWave::ManufacturerSpecificDB::setLatestRevision | ( | uint32 | rev | ) |
| inline

## ◆ UnloadProductXML()

void ManufacturerSpecificDB::UnloadProductXML | ( |  | ) |

## ◆ updateConfigFile()

bool ManufacturerSpecificDB::updateConfigFile | ( | Driver * | driver,
|  | Node * | node
| ) |  |

## ◆ updateMFSConfigFile()

bool ManufacturerSpecificDB::updateMFSConfigFile | ( | Driver * | driver | ) |

The documentation for this class was generated from the following files:

- ManufacturerSpecificDB.h
- ManufacturerSpecificDB.cpp